Surveys & Streams
Get Survey
GET
/
v2
/
surveys
/
{SurveyNumber}
Get Survey
curl --request GET \
--url https://api.researchdesk.com/v2/surveys/{SurveyNumber} \
--header 'Authorization: <authorization>'import requests
url = "https://api.researchdesk.com/v2/surveys/{SurveyNumber}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.researchdesk.com/v2/surveys/{SurveyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": 0,
"Message": "Success",
"Data": {
"SurveyName": "US Gen Pop Survey - Short",
"SurveyNumber": 2634,
"ProjectUd": "db02d54e-9b65-4a49-bb22-cfeec3a3fb62",
"SurveyUd": "d6cee0a1-3c4c-4252-b502-d3dae24db9ff",
"SurveyStatus": "Live",
"SurveyLanguage": "en",
"SurveyCountry": "US",
"PII": false,
"EstimatedLOI": 2,
"EstimatedIR": 100,
"DeviceCompatibility": [
{
"device_id": 1,
"device_name": "Desktop"
},
{
"device_id": 2,
"device_name": "Mobile"
},
{
"device_id": 3,
"device_name": "Tablet"
}
],
"SampleExclusions": [
"63099002-c17f-4fda-b8c8-29d7f33c625c",
"550d11c7-1b0e-4276-a96a-72004ad0bac9"
],
"Streams": [
{
"StreamId": 850,
"StreamUd": "f1789d2b-ac7c-415b-bcb5-8b285e60e698",
"StreamName": "US Gen Pop - Census Rep",
"StreamStatus": "Live",
"CalculationType": "Completes",
"Entrants": 0,
"ExpectedStreamCompletes": 0,
"ActualStreamCompletes": 0,
"Expected": 0,
"Actual": 0,
"ActualIR": 0,
"ActualLOI": 0,
"CPI": 0,
"DaysInField": 1,
"Conversion": 0,
"Remaining": 0,
"QualificationsLastChangedTimestamp": "2024-06-18 17:41:22",
"QuotasLastChangedTimestamp": "2024-06-18 17:41:22",
"B2B": false
},
{
"StreamId": 853,
"StreamUd": "1ff36ea1-8181-406c-8c2c-45fc44f4f3f5",
"StreamName": "High Income, Employed",
"StreamStatus": "Live",
"CalculationType": "Completes",
"Entrants": 0,
"ExpectedStreamCompletes": 8,
"ActualStreamCompletes": 0,
"Expected": 8,
"Actual": 0,
"ActualIR": 0,
"ActualLOI": 0,
"CPI": 0,
"DaysInField": 5,
"Conversion": 0,
"Remaining": 8,
"QualificationsLastChangedTimestamp": "2024-06-18 17:41:22",
"QuotasLastChangedTimestamp": "2024-06-18 17:41:22",
"B2B": false
}
]
}
}Returns a single Survey and its Streams. Accepts either the integer
The response payload matches a single entry from the List Surveys & Streams endpoint.
SurveyNumber or the Survey’s SurveyUd (UUID) in the path.
Path Parameters
| Parameter | Description | Required | Example |
|---|---|---|---|
SurveyNumber | The SurveyNumber (integer) or SurveyUd (UUID) of the survey to retrieve. | Yes | 2634 |
Headers
Your obfuscated Supply API key (GUID), provided by Rep Data.
Path Parameters
SurveyNumber (integer) or SurveyUd (UUID).
Was this page helpful?
Get Survey
